Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Interface IVerticalRulerInfoExtension

All Known Subinterfaces:
  IChangeRulerColumn

All Known Implementing Classes:
  AnnotationRulerColumn, ChangeRulerColumn, CompositeRuler, LineNumberChangeRulerColumn

public interface IVerticalRulerInfoExtension

Extension interface for `IVerticalRulerInfo`.

Introduces the ability to define a custom hover to be used when hovering over the vertical ruler described by this info instance, and to specify the annotation model used by it.

It also allows client to register as listeners on the represented vertical ruler and sends out notifications similar to selection events such as that a particular annotation presented in the vertical ruler has been selected.

Since:
  3.0
See Also:
  `IVerticalRuler`, `IAnnotationModel`

Method Summary
`void` | `addVerticalRulerListener(IVerticalRulerListener listener)` Registers a vertical ruler listener to be informed if an annotation gets selected on the vertical ruler.
`IAnnotationHover` | `getHover()` Returns the hover for this vertical ruler (column).
`IAnnotationModel` | `getModel()` Returns the model currently used by the receiver.
`void` | `removeVerticalRulerListener(IVerticalRulerListener listener)` Removes a previously registered listener.

Method Detail

### getHover

    public IAnnotationHover getHover()

  Returns the hover for this vertical ruler (column).

  Returns:
    the hover for this column

### getModel

    public IAnnotationModel getModel()

  Returns the model currently used by the receiver.

  Returns:
    the model of the receiver, or `null` if no model is installed.

### addVerticalRulerListener

    public void addVerticalRulerListener(IVerticalRulerListener listener)

  Registers a vertical ruler listener to be informed if an annotation gets selected on the vertical ruler.

  Parameters:
    `listener` - the listener to be informed

### removeVerticalRulerListener

    public void removeVerticalRulerListener(IVerticalRulerListener listener)

  Removes a previously registered listener. If `listener` is not registered with the receiver, calling this method has no effect.

  Parameters:
    `listener` - the listener to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.